unit SortFormUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB,StdCtrls, CheckLst, Buttons, ExtCtrls;

type
  TSortForm = class(TForm)
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Panel2: TPanel;
    GroupBox1: TGroupBox;
    lbSort: TListBox;
    GroupBox2: TGroupBox;
    Panel3: TPanel;
    cbFields: TListBox;
    InsButton: TSpeedButton;
    GroupBox3: TGroupBox;
    Label1: TLabel;
    Edit1: TEdit;
    rgAscending: TRadioGroup;
    CaseInSensitive: TCheckBox;
    StringSuffix: TCheckBox;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    procedure InsButtonClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    SortList:String;
    procedure SetFieldsList(DataSet:TDataset);
    function GetSortList:String;
  end;

var
  SortForm: TSortForm;

implementation

{$R *.DFM}
procedure TSortForm.SetFieldsList(DataSet:TDataset);
var
I,J:Integer;
begin
cbFields.Clear;
SortList := '';
lbSort.Clear;
for I:=0 to DataSet.FieldCount-1 do
    begin
    J:=cbFields.Items.Add(DataSet.Fields[I].FieldName);
    end;
end;

function TSortForm.GetSortList:String;
var
I:Integer;
S:String;
begin
Result := '';
for I:=0 to lbSort.Items.Count -1 do
   begin
   If I = lbSort.Items.Count -1 then
      Result := Result + lbSort.Items[I]
      else
      Result := Result + lbSort.Items[I]+';'
   end;
end;

procedure TSortForm.InsButtonClick(Sender: TObject);
var
I:Integer;
S:String;
begin
I:=cbFields.ItemIndex;
If I = -1 then Exit;
S:=cbFields.Items[I];
I:= lbSort.Items.IndexOf(S);
If I = -1 then
  lbSort.Items.Add(S);
Edit1.Text := GetSortList;
end;

procedure TSortForm.SpeedButton1Click(Sender: TObject);
begin
lbSort.Clear;
Edit1.Text := '';
end;

procedure TSortForm.SpeedButton2Click(Sender: TObject);
var
I:Integer;
S:String;
begin
lbSort.Clear;
for I := 0 to cbFields.Items.Count-1 do
    lbSort.Items.Add(cbFields.Items[I]);
Edit1.Text := GetSortList;
end;

end.
