unit sesStrings;
{  }
{The module of the string contstants}
interface
uses SysUtils;

const
{Common words and phrases}
sesFrom = ' from '; // 5 from 67
sesApply = 'Apply';
sesCancel = 'Cancel';
sesNotSelected = 'not selected...';
sesTotal = 'Totals: ';
sesReadOnly = 'The field has the mode "Read only"...'+#13+#10+'Editing is not possible...';

{sesDatePicker}
sesDatePicker_Caption = 'Date edit';
sesDatePicker_dd = 'dd =';
sesDatePicker_mm = 'mm =';
sesDatePicker_yy = 'yy =';
sesDatePicker_Now = 'Today';
sesDatePicker_Year='Year';
sesDatePicker_Month='Month';
sesDatePicker_Day='Day';
sesDatePicker_WrongMonth='invalid moth...';
sesDatePicker_WrongDate='invalid date...';
sesDatePicker_WrongDay='invalid number...';
sesDatePicker_RightDate='Valid date...';
sesDatePicker_Days:array[1..7] of String = ('Sunday','Monday','Tuesday',
'Wednesday','Thursday','Friday','Saturday');

{sesTimePicker}
sesTimePicker_Caption='Time edit';
sesTimePicker_hh='hh =';
sesTimePicker_mm='mm =';
sesTimePicker_ss='ss =';
sesTimePicker_Now='Now';
sesTimePicker_WrongTime ='Invalid time...';
sesTimePicker_RightTime='Valid time...';

{sesPickList}
sesPickList_Caption = 'List';
sesPickList_Selected = 'Selected:';
sesPickList_Empty = 'List is empty...';
sesPickList_Found ='Value is found!';
sesPickList_NotFound='Value is absent...';
sesPickList_DividerError = 'The format error of the Grid type list filling ...';
sesPickList_SelectedItem='Replace with ...';
sesPickList_GridCode ='Code';
sesPickList_GridCaption ='Caption';
sesPickList_ListIsNotAssigned = 'The list is not assigned...';
sesPickList_DataSetIsNotAssigned = 'The dataset is not assigned...';
sesPickList_DataSetIsClosed = 'The dataset is not opened...';
sesPickList_DataSetIsEmpty = 'The dataset is empty...';
sesPickList_DataSetIsInvalid = 'The dataset is specified uncorrectly...';

{sesHistory}
sesHistory_FileError_1='There is not any active Logger with Name ';
sesHistory_ErrorVersion = 'Possible reasons may be:';
sesHistory_FileError_2='The file is not correctly specified. ';
sesHistory_SessionError = 'There is not any link to Logger...';
sesHistory_HistoryEmpty = 'The history jornal is empty...';
sesHistory_Caption = 'History';
sesHistory_Selected = ':';

{sesPopupMenu}
sesPopupMenu_UserForm_Caption='Form...';
sesPopupMenu_UserForm_Hint='';

sesPopupMenu_PickList_Caption='List...';
sesPopupMenu_PickList_Hint='The list of a possible valid values of the field...';

sesPopupMenu_Calc_Caption='Calculator...';
sesPopupMenu_Calc_Hint='Call the Calculator...';

sesPopupMenu_History_Caption='History...';
sesPopupMenu_History_Hint='The list of the entered valid values of the field...';

sesPopupMenu_DatePicker_Caption='Date edit...';
sesPopupMenu_DatePicker_Hint='The Date edit with the calendar and the pick up buttons...';

sesPopupMenu_TimePicker_Caption='Time edit...';
sesPopupMenu_TimePicker_Hint='The Time edit with the pick up buttons...';

{sesLogger errors}
sesLogger_0='Active';
sesLogger_1='Not active...';
sesLogger_2 = 'The given file name is empty...';
sesLogger_3 = 'The default directory is invalid while FileName does not contain a directory part...';
sesLogger_4 = 'Windows or Execute directory is invalid...';
sesLogger_5 = 'The given by FileName directory does not exist...';
sesLogger_6 = 'There is not enough memory to create the Logger...';
sesLogger_7 = 'The end-capping slash "\" is absent in the DefaulDir...';

{sesCalc}
sesDivideByNull ='division by zero...';
sesInvalidOperand = 'The operand value is invalid...';

sesCalc_Caption ='Calculator';
sesCalc_ErrorMessage = 'The Calculator contains the invalid number!!'+#13+#10+
'Cancel calculation and exit?';
sesCalc_ShowHints_Caption ='Show hints..';
sesCalc_MemPanel_Hint='The flag of the entered into the Memoty number. "Space/"';
sesCalc_OperationPanel_Hint='Operation';
sesCalc_ResEdit_Hint ='Represented number(Operand 1 or Operand 2)';
sesCalc_CButton_Hint='Begins a new calculation.'+#13+#10+'The equivalent key: F8';
sesCalc_CEButton_Hint='Deletes the represented number.'+#13+#10+'The equivalent key: Del';
sesCalc_BsButton_Hint='Deletes the last digit of the represented number.'+#13+#10+'The equivalent key: BACKSPACE';
sesCalc_sqrtButton_Hint='Calculates the square root from the represented number.'+
#13+#10+'The equivalent key: @';
sesCalc_PerButton_Hint='Views the result of multiplication by percentages.'+
#13+#10+'The equivalent key: %';
sesCalc_InvXButton_Hint='Calculates the inverse number(1 : X) for the represented number.'+
#13+#10+'The equivalent key: R';
sesCalc_InvSignButton_Hint='Toggles the sign of the represented number.'+
#13+#10+'The equivalent key: F7';
sesCalc_bDivide_Hint='Division.'+#13+#10+'The equivalent key: /';
sesCalc_bPlus_Hint='Addition.'+#13+#10+'The equivalent key: +';
sesCalc_bMinus_Hint='Subtraction.'+#13+#10+'The equivalent key: -';
sesCalc_bMultiplay_Hint='Multiplication.'+#13+#10+'The equivalent key: *';
sesCalc_bPower_Hint='Power.'+#13+#10+'The equivalent key: ^';
sesCalc_bCalc_Hint='Calculate.'+#13+#10+'The equivalent key: F12';
sesCalc_DelMemButton_Hint='Clears memory.'+#13+#10+'The equivalent key: Ctrl+L';
sesCalc_ViewMemButton_Hint='Views the number from memory.'+#13+#10+'The equivalent key: Ctrl+R';
sesCalc_SetMemButton_Hint='Stores the represented number into memory.'+
#13+#10+'The equivalent key: Ctrl+M';
sesCalc_PlusMemButton_Hint='Adds the represented number with the number from memory.'+
#13+#10+'The equivalent key: Ctrl+P';
sesCalc_MultiMemButton_Hint='Miltiplies the represented number by the number from memory.'+
#13+#10+'The equivalent key: Ctrl+U';
sesCalc_st_Hint='Operand 1  / Operand 2';
sesCalc_Rounded_Hint='Round precision '+#13+#10+
'of calculating results.'+#13+#10+
'"-1" corresponds the rounding is absent, "0" - up to integer, "1" - up to one digit, etc.';
sesCalc_bComma_Hint='Toggles integer/fractional part of the represented number.'+
#13+#10+'The equivalent key: "," on the numeric keypad.';

sesCalc_bLog_Hint='Calculates the decimal logarithm of the represented number'+
#13+#10+'The equivalent key: L';
sesCalc_bSin_Hint='Calculates the Sinus of the represented number(rad).'+
#13+#10+'The equivalent key: S';
sesCalc_bCos_Hint='Calculates the Cosinus of the represented number(rad).'+
#13+#10+'The equivalent key: C';
sesCalc_bXp2_Hint='Calculates the Square of the represented number.'+
#13+#10+'The equivalent key: K';
sesCalc_bXp3_Hint='Calculates the Cube of the represented number.'+
#13+#10+'The equivalent key: U';
sesCalc_HistoryComboBox_Hint='Selects a number from the calculation history...';


{sesAdviseUnit messages}
CE_CancelButtonHint = 'Cancel the changes and close...'+#13+#10+'Key Esc';
CE_CancelButtonCaption='Cancel';

CE_ApplyButtonCaption = 'Apply';
CE_ApplyButtonHint = 'Apply and close...'+#13+#10+'Key Enter';

CE_JumpButtonCaption = 'Jump';
CE_JumpButtonHint = 'Close and jump to next field without any changes...';

{CharCheck messages}
CE_Char_Caption = 'Invalid symbol:';
CE_Char_CharHint = 'the value of the invalid symbol';
CE_Char_DesriptionForCardinal = 'for unsigned integer...';
CE_Char_DesriptionForInteger = 'for integer...';
CE_Char_DesriptionForFloat = 'for float-point number...';
CE_Char_DesriptionForDate = 'for Date...';
CE_Char_DesriptionForTime = 'for Time...';
CE_Char__Advise = 'The valid symbols set:';
CE_Char_CancelButtonHint = 'Close the dialog without selecting of symbol';
Hint0='Zero';
Hint1='One';
Hint2='Two';
Hint3='Three';
Hint4='Four';
Hint5='Five';
Hint6='Six';
Hint7='Seven';
Hint8='Eight';
Hint9='Nine';
HintPlus='Plus';
HintMinus='Minus';
HintDecimalSeparator='Decimal separator:'+#13+#10+'symbol between integer and '+#13+#10+
'fractional part of number';
HintDateSeparator='Date separator: between days,'+#13+#10+
'month and year';
HintTimeSeparator='Time separator: between hours, '+#13+#10+
'minutes and seconds';


ApplyButtonHint='Apply...';

{ValueCheckPopUpFormUnit}
CE_Val_ValueHint='the value of the invalid format number';
CE_Val_Caption = 'Invalid format:';
CE_Val_DesriptionForCardinal = 'of the unsigned integer...';
CE_Val_SampleForCardinal='0'+#13+#10+
'1'+#13+#10+
'34560'+#13+#10+
'5000'+#13+#10+
'3421'+#13+#10+
'14'+#13+#10+
'23'+#13+#10+
'123'+#13+#10+
'15'+#13+#10;

CE_Val_DesriptionForInteger = 'of the integer...';
CE_Val_SampleForInteger='0'+#13+#10+
'-1'+#13+#10+
'+34560'+#13+#10+
'50'+#13+#10+
'-3421'+#13+#10+
'-14';

CE_Val_DesriptionForFloat = 'of the float-point number...';
CE_Val_Advise = 'The first invalid symbol of the number is selected:';

{Boolean}
CE_Val_DesriptionForBool = 'logical(Boolean) field, which has to have only one from two possible values';
FalseButtonCaption = 'False';
FalseButtonHint='False value';
TrueButtonCaption = 'True';
TrueButtonHint='True value';
CE_Bool_Advise = 'Select one of the possible values:';
CE_Val_DesriptionForBoolean = 'logical(Boolean) field';

{Range}
CE_Range_Min_Error = 'The number Min of the Range is uncorrectly assigned...';
CE_Range_Max_Error = 'The number Max of the Range is uncorrectly assigned...';
CE_Range_Caption = 'Out of range:';
CE_Range_Description = 'The number must be whether greater or equal Min and less or equal Max...';
CE_Range_Advise = 'The value of the number is out of Range:';
CE_Range_Less ='Less!';
CE_Range_Greater ='Greater!';
CE_Range_Hint = 'the value is out of range...';
CE_Range = '<=Range<=';

{Required}
ce_Required_Caption = 'Empty value';
ce_Required_Text = 'The field must have the valid value: ';

{TsesDataSet}
sesDataSet_LocateFieldListIsEmpty = 'The search field list is empty...';
sesDataSet_LocateUnknownField = 'The unknown field in the search field list with name: ';
sesDataSet_InvalidLocateConditions = 'The search conditions are invalid...';


var
CE_Val_SampleForFloat:String;

implementation
begin
CE_Val_SampleForFloat := '+15'+DecimalSeparator+
'675 '+#13+#10+
DecimalSeparator+'01 '+#13+#10+
' -123'+DecimalSeparator+
'281 '+#13+#10+
'-86421'+#13+#10+
' 345'+#13+#10+' 1 '+#13+#10+'567' +#13+#10+'9876';
end.
